## org.exist
Class StandaloneServer

    java.lang.Object
      org.exist.StandaloneServer

public class StandaloneServer
extends java.lang.Object

Starts eXist in standalone server mode. In this mode, only the XMLRPC, REST and WebDAV interfaces are provided. By default, the XMLRPC interface runs on port 8081. A minimal Jetty webserver configuration is used for the REST and WebDAV interfaces. The REST interface is accessible on http://localhost:8088 by default. The WebDAV server uses the URL http://localhost:8088/webdav/db for the database root collection.

Author:
  wolf

Nested Class Summary
`static interface` `StandaloneServer.ServletBootstrap`

Constructor Summary
`StandaloneServer()`

Method Summary
`boolean` `isStarted()`
`static void` `main(java.lang.String[] args)`
`static void` `printNotice()`
`void` `run(java.lang.String[] args)`
`void` `shutdown()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandaloneServer

    public StandaloneServer()

Method Detail

### run

    public void run(java.lang.String[] args)
             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isStarted

    public boolean isStarted()

### printNotice

    public static void printNotice()

### shutdown

    public void shutdown()

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.